import { testConnection } from '../config/database';

console.log('🔍 Test de connexion à la base de données...');

testConnection()
  .then(success => {
    if (success) {
      console.log('✨ La connexion à la base de données est fonctionnelle');
      process.exit(0);
    } else {
      console.error('❌ Échec de la connexion à la base de données');
      process.exit(1);
    }
  })
  .catch(error => {
    console.error('💥 Erreur lors du test de connexion:', error);
    process.exit(1);
  }); 